# This file created by conda-build 3.24.0
# ------------------------------------------------

package:
  name: numpy-base
  version: 1.25.0
source:
  patches:
    - patches/0001-Obtain-and-prefer-custom-gfortran-from-env-variable.patch
    - patches/0002-intel_mkl-version.patch
    - patches/0003-intel_init_mkl.patch
  sha256: f1accae9a28dc3cda46a91de86acf69de0d1b5f4edd44a9b0c3ceb8036dfff19
  url: https://github.com/numpy/numpy/releases/download/v1.25.0/numpy-1.25.0.tar.gz
build:
  entry_points:
    - f2py = numpy.f2py.f2py2e:main
  number: 0
  string: py39hb5e798b_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - blas 1.0 mkl
    - ca-certificates 2023.05.30 h06a4308_0
    - certifi 2023.5.7 py39h06a4308_0
    - cython 0.29.35 py39h6a678d5_0
    - intel-openmp 2023.1.0 hdb19cb5_46305
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - mkl 2023.1.0 h6d00ec8_46342
    - mkl-devel 2023.1.0 h2fb9e7e_46342
    - mkl-include 2023.1.0 h06a4308_46342
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.9 h7f8727e_0
    - pip 23.1.2 py39h06a4308_0
    - python 3.9.16 h955ad1f_3
    - readline 8.2 h5eee18b_0
    - setuptools 58.0.4 py39h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tbb 2021.8.0 hdb19cb5_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.38.4 py39h06a4308_0
    - xz 5.4.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - blas 1.0 mkl
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
    - mkl >=2023.1.0,<2024.0a0
    - mkl-service >=2.3.0,<3.0a0
    - python >=3.9,<3.10.0a0
test:
  commands:
    - test -e $SP_DIR/numpy/distutils/site.cfg
about:
  description: 'NumPy is the fundamental package needed for scientific computing with
    Python.

    '
  dev_url: https://github.com/numpy/numpy
  doc_url: https://numpy.org/doc/stable/reference/
  home: https://numpy.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Array processing for numbers, strings, records, and objects.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: e0237cd8-5f6b-4d57-b891-dc38d4dd6522
  recipe-maintainers:
    - chenghlee
    - jakirkham
    - msarahan
    - ocefpaf
    - pelson
    - rgommers
  remote_url: git@github.com:AnacondaRecipes/numpy-feedstock.git
  sha: 52157d602d9bd0d7e89deb6169d105d761394d37
